#include "display.h"

// TODO: Can this be static since there can only be one initialization?
I2C i2c;

void setup()
{
  Display d(i2c);

  d.set_text("Test test 12345678910",
             "test-text1",
             LV_LABEL_LONG_SCROLL,
             LV_ALIGN_CENTER);

  d.set_text("Hello hello hello hello hello hello hello hello!", "test-text2");

  d.set_text("A random sentence with no meaning at all.",
             "test-text3",
             LV_LABEL_LONG_CLIP,
             LV_ALIGN_BOTTOM_MID);
}

void loop() { }
